<template>
  <v-app full-height class="overflow-y-hidden">
    <v-container fluid class="fill-height pa-0">
        <v-row class="fill-height ma-0">
            <v-col cols="3" color="success" class="fill-height openlink-sidebar d-flex flex-column pa-5 overflow-y-auto ma-0" style="max-height: 100vh">
                <InvestigationsMenu class="mb-auto" style="max-height: calc(100vh - 130px); overflow-y: auto"/>
                <NewInvestigationButton align="center"/>
                <Userbar/>
            </v-col>
            <v-col class="pa-1 fill-height ma-0">
                <v-main style="max-height: calc(100vh - 10px); overflow-y: auto">
                <slot />
                </v-main>
            </v-col>
        </v-row>
    </v-container>
  </v-app>
</template>

<style>
.openlink-sidebar {
    background-color: #FBFBFB;
}
html {
  overflow: hidden; /* Hide scrollbars */
}
</style>
